SystemOrganization addCategory: #Spotify!

Object subclass: #SpotifyApiCall
	instanceVariableNames: 'apiMethod queryString searchType returnFormat'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Spotify'!

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 22:37'!
apiMethod
	^ apiMethod! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 22:37'!
apiMethod: anObject
	apiMethod := anObject! !

!SpotifyApiCall methodsFor: 'api-calls' stamp: 'SergioRuiz 9/8/2012 23:54'!
getQueryResults
	"comment stating purpose of message"
	|results|
	
	results := self queryUrl  asUrl retrieveContents contentStream.

^ results ! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 23:21'!
initialize
	"comment stating purpose of message"
	super initialize.
	apiMethod  := 'search'.
	searchType := 'track'.
	queryString := 'initString'.
	returnFormat := 'json'.
	baseUrl := 'http://ws.spotify.com/', apiMethod , '/1/', searchType, '.', returnFormat,  '?q=', queryString .
	^ self
! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/9/2012 00:20'!
queryString
	^ queryString encodeForHTTP.! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 22:37'!
queryString: anObject
	queryString := anObject! !

!SpotifyApiCall methodsFor: 'setup' stamp: 'SergioRuiz 9/9/2012 00:20'!
queryUrl
	|url|
	
	url := 'http://ws.spotify.com/', apiMethod , '/1/', searchType, '.', returnFormat,  '?q=', queryString.

	^ url! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 23:20'!
returnFormat
	^ returnFormat! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 23:20'!
returnFormat: anObject
	returnFormat := anObject! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 23:20'!
searchType
	^ searchType! !

!SpotifyApiCall methodsFor: 'accessing' stamp: 'SergioRuiz 9/8/2012 23:20'!
searchType: anObject
	searchType := anObject! !
